QGIS Application - Bug report #18086
QGIS 2.18: Joins do not work reliable
2018-02-13 09:15 AM - Thomas Nogatz

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25982
Description

QGIS 2.18.16 on Windows 10

Steps (see attached project):

- Working with a shapefile

- Join the shapefile to a table

- Join to a second table in relation to the first joined table
- Layer style based on values of both tables

The result: sometimes the join works, sometimes it does not. If it does work: It's possible to make it not working by changing a layer style
label description (in the given project for instance: "FlieBgewdasser" to "running waters").

The same project works properly on QGIS 2.14 - here the described problem does not appear.

See bug reports #17697 and #17840

History

#1 - 2018-02-13 01:00 PM - Thomas Nogatz

"The join does not work" means: QGIS does not recognize corresponding ident values, and all values of the joined table are NULL.

#2 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-22 11:11 AM - Thomas Nogatz

Thanks, QGIS 3.4 works correctly with multiple join layers!

#4 - 2019-01-22 11:35 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
